package io.renren.modules.sys.service.impl.cloud;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import io.renren.datasource.annotation.DataSource;
import io.renren.modules.sys.dao.cloud.SysRoleCloudDao;
import io.renren.modules.sys.entity.SysRoleEntity;
import io.renren.modules.sys.service.cloud.SysRoleCloudService;
import org.springframework.stereotype.Service;

import java.util.List;

@Service("sysRoleCloudService")
@DataSource("cloud")
public class SysRoleCloudServiceImpl extends ServiceImpl<SysRoleCloudDao, SysRoleEntity> implements SysRoleCloudService {

    @Override
    public List<SysRoleEntity> queryRoleIdList(Long createUserId) {
        return baseMapper.queryRoleIdList(createUserId);
    }

    @Override
    public List<Long> queryRoleByIdList(Long createUserId) {
        return baseMapper.queryRoleByIdList(createUserId);
    }
}
