package io.renren.modules.sys.service.impl.alg;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import io.renren.datasource.annotation.DataSource;
import io.renren.modules.sys.dao.alg.SysRoleAlgDao;
import io.renren.modules.sys.entity.SysRoleEntity;
import io.renren.modules.sys.service.alg.SysRoleAlgService;
import org.springframework.stereotype.Service;

import java.util.List;

@Service("sysRoleAlgService")
@DataSource("alg")
public class SysRoleAlgServiceImpl extends ServiceImpl<SysRoleAlgDao, SysRoleEntity> implements SysRoleAlgService {

    @Override
    public List<SysRoleEntity> queryRoleIdList(Long createUserId) {
        return baseMapper.queryRoleIdList(createUserId);
    }

    @Override
    public List<Long> queryRoleByIdList(Long createUserId) {
        return baseMapper.queryRoleByIdList(createUserId);
    }
}
