package io.renren.modules.sys.service.impl.bigdata;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import io.renren.datasource.annotation.DataSource;
import io.renren.modules.sys.dao.bigdata.SysRoleBigDataDao;
import io.renren.modules.sys.entity.SysRoleEntity;
import io.renren.modules.sys.service.bigdata.SysRoleBigDataService;
import org.springframework.stereotype.Service;

import java.util.List;

@Service("sysRoleBigDataService")
@DataSource("bigData")
public class SysRoleBigDataServiceImpl extends ServiceImpl<SysRoleBigDataDao, SysRoleEntity> implements SysRoleBigDataService {

    @Override
    public List<SysRoleEntity> queryRoleIdList(Long createUserId) {
        return baseMapper.queryRoleIdList(createUserId);
    }

    @Override
    public List<Long> queryRoleByIdList(Long createUserId) {
        return baseMapper.queryRoleByIdList(createUserId);
    }
}
